<?php
/**
 * @package Deals Store
 */

function deals_store_customizer_add_defaults( $default_options) {
	$defaults = array(
		'deals_store_excerpt_length'    => 30,
	);
	$updated_defaults = wp_parse_args( $defaults, $default_options );

	return $updated_defaults;
}
add_filter( 'deals_store_customizer_defaults', 'deals_store_customizer_add_defaults' );

function deals_store_gtm( $option ) {
	$defaults = apply_filters( 'deals_store_customizer_defaults', true );

	return isset( $defaults[ $option ] ) ? get_theme_mod( $option, $defaults[ $option ] ) : get_theme_mod( $option );
}

if ( ! function_exists( 'deals_store_excerpt_length' ) ) :
	function deals_store_excerpt_length( $length ) {
		if ( is_admin() ) {
			return $length;
		}

		$length	= deals_store_gtm( 'deals_store_excerpt_length' );

		return absint( $length );
	} 
endif;
add_filter( 'excerpt_length', 'deals_store_excerpt_length', 999 );